ALERT: Some images may not load properly within the Knowledge Base Article. If you see a broken image, please right-click and select 'Open image in a new tab'. We apologize for this inconvenience.

Upgrade of Autosys Client failed with conflict in package ca-waae-client

book

Article ID: 186344

calendar_today

Updated On:

Products

CA Workload Automation AE - Business Agents (AutoSys) CA Workload Automation AE - System Agent (AutoSys) CA Workload Automation AE - Scheduler (AutoSys) Workload Automation Agent CA Workload Automation AE

Issue/Introduction

When upgrading Autosys Client from R11.3.6 SP6 to SP8 we are getting below error -


-- ERROR --
        file /opt/CA/WorkloadAutomationAE/autosys/test/bin/test_api from install of ca-waae-sdk-11.3.6-1643.i386 conflicts                                        │
│ with file from package ca-waae-client-11.3.6-919.i386                                                                                                                                              │
│         file /opt/CA/WorkloadAutomationAE/autosys/test/lib/libautoextvj.so from install of ca-waae-sdk-11.3.6-1643.i386                                          │
│ conflicts with file from package ca-waae-client-11.3.6-919.i386                                                                                                                                │
│ Script or command "rpm -i "/opt/CA/Upgrade/Linux/WorkloadAutomationAE/RPM/ca-waae-sdk-11.3.6-1643.i386.rpm"" failed with exit code 1.   │
│ Reason:                The script or command encountered a problem.                                                                                                                          │
│ Action:                Find further details in the installation log file                                                                                                                                   │
│                 /tmp/extract7658/installer/log/CAWorkloadAutomationAE.log.      

--- ERROR --

Environment

Release : 11.3.6

Component : CA Workload Automation AE (AutoSys)

Resolution

Due to some old installation, package ca-waae-client-11.3.6-919.i383 had been installed from Autosys 11.3.6 client dvd.


Execute following command to remove this package:
 
rpm -e ca-waae-client-11.3.6-919.i386 -nodeps -noscripts


After removal, you can relaunch your installation.